package org.josast.ApplicationSatelliteDatabaseCli.cmd;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class UpdateCmdTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() {
		ParameterSingleton parameter = ParameterSingleton.getInstance();


		parameter.setInputDirectory("src/test/data/in");
		parameter.setOutputDirectory("src/test/data/out");
		UpdateCmd cmd = new UpdateCmd();
		cmd.excute();
		// si il n'y a pas d'erreur généré.
		 assertTrue( true );
	}

}
